Package net.shibboleth.idp.attribute.resolver.dc

# Interface ExecutableSearch

All Known Subinterfaces:
  `ExecutableQuery`, `ExecutableSearchFilter`, `ExecutableStatement`, `HTTPSearch`, `ScriptedSearch`, `StorageServiceSearch`

All Known Implementing Classes:
  `ExecutableQueryBuilder.StandardExecutableQuery`

public interface ExecutableSearch
Should be implemented by objects used to search for attributes, that uniquely identify those search results.

## Method Summary

Modifier and Type
Method
Description
`String`
`getResultCacheKey()`
Gets a key that uniquely identifies this object and may be used as a key in a result cache.

## Method Details

### getResultCacheKey

@Nullable String getResultCacheKey()
Gets a key that uniquely identifies this object and may be used as a key in a result cache.

If a null is returned, no caching will be done.

Returns:
  the result cache key